zekr unexpected error

Bug #882668 reported by Syed Adil Gilani on 2011-10-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sabily
High
Sabily Team
Zekr
Undecided
Unassigned

Bug Description

After upgradation to ubuntu 11.10 zekr shows following error:
org.eclipse.swt.SWTError: No more handles [Could not detect registered XULRunner to use]
 at org.eclipse.swt.SWT.error(SWT.java:4308)
 at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:683)
 at org.eclipse.swt.browser.Browser.<init>(Browser.java:96)
 at net.sf.zekr.ui.QuranForm.makeFrame(QuranForm.java:475)
 at net.sf.zekr.ui.QuranForm.init(QuranForm.java:300)
 at net.sf.zekr.ui.QuranForm.<init>(QuranForm.java:278)
 at net.sf.zekr.ZekrMain.startZekr(ZekrMain.java:51)
 at net.sf.zekr.ZekrMain.main(ZekrMain.java:91)

Changed in sabily:
assignee: nobody → Sabily Team (sabily.team)
importance: Undecided → High

On Thu, Oct 27, 2011 at 05:00:38PM -0000, Syed Adil Gilani wrote:
> After upgradation to ubuntu 11.10 zekr shows following error:
> org.eclipse.swt.SWTError: No more handles [Could not detect registered XULRunner to use]
> at org.eclipse.swt.SWT.error(SWT.java:4308)
> at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:683)
> at org.eclipse.swt.browser.Browser.<init>(Browser.java:96)
> at net.sf.zekr.ui.QuranForm.makeFrame(QuranForm.java:475)
> at net.sf.zekr.ui.QuranForm.init(QuranForm.java:300)
> at net.sf.zekr.ui.QuranForm.<init>(QuranForm.java:278)
> at net.sf.zekr.ZekrMain.startZekr(ZekrMain.java:51)
> at net.sf.zekr.ZekrMain.main(ZekrMain.java:91)
---end quoted text---

Please send your ~/.zekr/zekrrc-debian &
~/.zekr/config/config.properties

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Syed Adil Gilani (adil0403) wrote :
Download full text (6.9 KiB)

*zekrrc-debian*
# DO NOT EDIT THIS FILE MANUALLY
ZEKR_WARNINGS=enable

*config.properties*
# Zekr configuration file
version = 1.0.0

# Quran
quran.text.delim = \\r\\n
quran.text.encoding = UTF-8

# Language pack
lang.default = en_US

# Translation
trans.default = en.asad
trans.custom = pickthall,shakir,yusufali,jalandhry,en.asad
# can be: english or localized
trans.name.mode = localized

# Revelation data
revel.default = ibn-abbas

# Theme
theme.default = sky

# Audio
audio.default = refai-64kbps-offline
audio.volume = 100
#audio.enable = true
audio.continuousAya = true
audio.repeatTime = 1
audio.maxRepeatTime = 1
# in milliseconds
audio.interval = 0
# page | aya | sura | hizb-quarter | juz | continuous
audio.playScope = continuous
# always | smart | never
audio.playAudhubillah = smart
audio.playBismillah = smart
audio.playSadaghallah = smart

# offline-online (first try offline, if not available try online)
# online-only (only try online) | offline-only (only try offline)
audio.lookupMode = offline-online
# the following two properties are in mega bytes
audio.cache.capacitySize = 200
audio.cache.flushSize = 20
audio.cache.userPath = <workspace>\/audio\/cache
audio.cache.timerPeriod = 3600000
# prefetcher player for the next x ayas. It can be 0, 1, 2, or other
positive integers.
audio.cache.prefetcher = 2

audio.controller.location = 568,427
audio.controller.show = true

# Network settings
# network.proxy.internal.disableJvmUseSystemProxy = false
# can be 'system' (system default proxy), 'manual' (should be set manually
below) or 'false' for no proxy.
network.proxy = system
# set the following properties only if network.proxy is set to 'manual'
network.proxy.server =
network.proxy.port =
# can be HTTP or SOCKS
network.proxy.type = HTTP

# Shortcuts
# this property forces treating Cmd and Ctrl buttons to act same on Mac. For
example if Ctrl is specified
# in shortcut.xml, it is read as Cmd.
key.commandAndControlAreSame = true

# View
view.quranLayout = line-by-line
view.transLayout = line-by-line
view.viewLayout = mixed
view.quranLoc = 2-6
view.location.sync = true
view.shell.maximized = true
view.shell.location = 0,0,1288,724
view.quranForm.layoutSashWeight = 1,1
view.quranForm.paneSashWeight = 2,5

view.search.tab = 2

view.search.sortBy = 0
view.search.sortOrder = des
view.search.target = quran
view.search.multiLine = false

view.search.advanced.sortBy = 0
view.search.advanced.sortOrder = des
view.search.advanced.target = quran
view.search.advanced.multiLine = false

view.search.root.sortOrder = des
view.search.root.sortBy = 0

view.search.highlightFormat = <span class=\"highlight\">%s<\/span>
view.search.regexHighlightFormat = <span class=\"highlight\">$1<\/span>

# accepts either of the following values. If you want to use wildcards while
your search string is analyzed,
# use AnalyzingQueryParser.
# - org.apache.lucene.queryParser.QueryParser
# - org.apache.lucene.queryParser.analyzing.AnalyzingQueryParser
# - org.apache.lucene.queryParser.MultiFieldQueryParser
# - org.apache.lucene.queryParser.complexPhrase.ComplexPhraseQueryParser
view.search.advanced.queryParser = org.apache.lucene.queryParser.QueryParser

view.bookmarkItem.quranForm....

Read more...

On Thu, Oct 27, 2011 at 07:54:28PM -0000, Syed Adil Gilani wrote:
> options.browser.useMozilla = true
---end quoted text---

Change this to false

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Syed Adil Gilani (adil0403) wrote :

Thanks for the solution...
The problem has been solved

2011/10/28 أحمد المحمودي (Ahmed El-Mahmoudy) <email address hidden>

> On Thu, Oct 27, 2011 at 07:54:28PM -0000, Syed Adil Gilani wrote:
> > options.browser.useMozilla = true
> ---end quoted text---
>
> Change this to false
>
> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/882668
>
> Title:
> zekr unexpected error
>
> Status in Sabily:
> New
> Status in Zekr Quran Study Tool:
> New
>
> Bug description:
> After upgradation to ubuntu 11.10 zekr shows following error:
> org.eclipse.swt.SWTError: No more handles [Could not detect registered
> XULRunner to use]
> at org.eclipse.swt.SWT.error(SWT.java:4308)
> at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:683)
> at org.eclipse.swt.browser.Browser.<init>(Browser.java:96)
> at net.sf.zekr.ui.QuranForm.makeFrame(QuranForm.java:475)
> at net.sf.zekr.ui.QuranForm.init(QuranForm.java:300)
> at net.sf.zekr.ui.QuranForm.<init>(QuranForm.java:278)
> at net.sf.zekr.ZekrMain.startZekr(ZekrMain.java:51)
> at net.sf.zekr.ZekrMain.main(ZekrMain.java:91)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/sabily/+bug/882668/+subscriptions
>

--
- - -
*Syed Adil Gilani*
Please visit http://www.sabily.org
& http://www.bayt-al-hikma.com
أَيَحْسَبُ الْإِنْسَا نُ أَنْ يُتْرَكَ سُدًى
Does man think that he will be left to himself to go about at will?

Changed in sabily:
status: New → Fix Committed
Changed in zekr:
status: New → Fix Committed
Changed in zekr:
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers